| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
WellTie::D2TModelMgr Class Reference
WellAttrib

Manages the D2T models used during TWTS. More...

`#include <welltied2tmodelmanager.h>`

## Public Member Functions
| D2TModelMgr (Well::Data &, DataWriter &, const Setup &)
| ~D2TModelMgr ()
bool | cancel ()
bool | commitToWD ()
uiString | errMsg () const
void | setAsCurrent (Well::D2TModel *)
void | setFromData (float *dah, float *time, int sz)
void | setWD (Well::Data &wd)
void | shiftModel (float)
bool | undo ()
bool | updateFromWD ()

## Protected Member Functions
Well::D2TModel * | d2T ()

## Protected Attributes
DataWriter & | datawriter_
bool | emptyoninit_ = false
uiString | errmsg_
Well::D2TModel * | orgd2t_ = nullptr
Well::D2TModel * | prvd2t_ = nullptr
RefMan< Well::Data > | wd_

## Detailed Description

Manages the D2T models used during TWTS.

<>

## Constructor & Destructor Documentation

## ◆ D2TModelMgr()

WellTie::D2TModelMgr::D2TModelMgr | ( | Well::Data & | ,
|  | DataWriter & | ,
|  | const Setup & | )

## ◆ ~D2TModelMgr()

WellTie::D2TModelMgr::~D2TModelMgr | ( |  | ) |

## Member Function Documentation

## ◆ cancel()

bool WellTie::D2TModelMgr::cancel | ( |  | ) |

## ◆ commitToWD()

bool WellTie::D2TModelMgr::commitToWD | ( |  | ) |

## ◆ d2T()

Well::D2TModel * WellTie::D2TModelMgr::d2T | ( |  | ) |
| protected

## ◆ errMsg()

uiString WellTie::D2TModelMgr::errMsg | ( |  | ) | const
| inline

## ◆ setAsCurrent()

void WellTie::D2TModelMgr::setAsCurrent | ( | Well::D2TModel * |  | ) |

## ◆ setFromData()

void WellTie::D2TModelMgr::setFromData | ( | float * | dah,
|  | float * | time,
|  | int | sz )

## ◆ setWD()

void WellTie::D2TModelMgr::setWD | ( | Well::Data & | wd | ) |
| inline

## ◆ shiftModel()

void WellTie::D2TModelMgr::shiftModel | ( | float |  | ) |

## ◆ undo()

bool WellTie::D2TModelMgr::undo | ( |  | ) |

## ◆ updateFromWD()

bool WellTie::D2TModelMgr::updateFromWD | ( |  | ) |

## Member Data Documentation

## ◆ datawriter_

DataWriter& WellTie::D2TModelMgr::datawriter_
| protected

## ◆ emptyoninit_

bool WellTie::D2TModelMgr::emptyoninit_ = false
| protected

## ◆ errmsg_

uiString WellTie::D2TModelMgr::errmsg_
| protected

## ◆ orgd2t_

Well::D2TModel* WellTie::D2TModelMgr::orgd2t_ = nullptr
| protected

## ◆ prvd2t_

Well::D2TModel* WellTie::D2TModelMgr::prvd2t_ = nullptr
| protected

## ◆ wd_

RefMan<Well::Data> WellTie::D2TModelMgr::wd_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025